from edpauthorization.dto import AuthorizationPrincipal, AuthorizationRequest
from edpauthorization.service import AuthorizationService


class NoAuthorizationServiceImpl(AuthorizationService):
    def _is_authorized(self, principal: AuthorizationPrincipal, request: AuthorizationRequest) -> bool:
        return True
